import type WasmInstance from "../wasm/instance";
import { Options } from "../wasm/import";
import type { FileSystemSpec } from "@wapython/wasi";
export declare let wasm: WasmInstance | undefined;
export declare function exec(str: string): void;
export declare function repr(str: string): string;
declare type WASMImportFunction = (python_wasm: string, options: Options) => Promise<WasmInstance>;
export declare function _init(python_wasm: string, // file path in node.js; a URL in browser.
wasmImport: WASMImportFunction, fs: FileSystemSpec[]): Promise<void>;
export {};
